%define pypi_name  prettytable

Name:           python-prettytable
Version:        3.10.2
Release:        %mkrel 2
Summary:        Python library for displaying data in ASCII table format
License:        BSD
Group:          Development/Python
URL:            https://pypi.org/project/PrettyTable/
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  pkgconfig(python3)

%description
PrettyTable is a simple Python library designed to make it quick and easy to
represent tabular data in visually appealing ASCII tables. It was inspired by
the ASCII tables used in the PostgreSQL shell psql. PrettyTable allows for
selection of which columns are to be printed, independent alignment of columns
(left or right justified or centred) and printing of "sub-tables" by specifying
a row range.

%package -n python3-%{pypi_name}
Summary:        Python library to display tabular data in tables
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
PrettyTable is a simple Python library designed to make it quick and easy to
represent tabular data in visually appealing ASCII tables. It was inspired by
the ASCII tables used in the PostgreSQL shell psql. PrettyTable allows for
selection of which columns are to be printed, independent alignment of columns
(left or right justified or centred) and printing of "sub-tables" by specifying
a row range.


%prep
%autosetup -n %{pypi_name}-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%check
%tox


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md CHANGELOG.md
%license LICENSE


%changelog
* Sun Mar 02 2025 daviddavid <daviddavid> 3.10.2-2.mga10
+ Revision: 2156648
- rebuild for python 3.13

* Sat Jul 13 2024 papoteur <papoteur> 3.10.2-1.mga10
+ Revision: 2080895
- new version 3.10.2
- use auto BR for tests too

* Mon Jan 22 2024 papoteur <papoteur> 3.3.0-3.mga10
+ Revision: 2033496
- rebuild in core

* Mon Dec 18 2023 tv <tv> 3.3.0-2.mga10
+ Revision: 2018820
- Rebuild for python 3.12

* Mon Aug 22 2022 wally <wally> 3.3.0-1.mga9
+ Revision: 1879443
- new version 3.3.0
- switch build to use pproject RPM macros

* Thu Mar 24 2022 umeabot <umeabot> 2.1.0-3.mga9
+ Revision: 1824781
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 tv <tv> 2.1.0-2.mga9
+ Revision: 1775316
- Rebuild for python-3.10

* Sat Mar 20 2021 joequant <joequant> 2.1.0-1.mga9
+ Revision: 1705770
- add build requires
- include source
- update to 2.1.0 / python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.7.2-11.mga8
+ Revision: 1532183
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 0.7.2-10.mga8
+ Revision: 1441909
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 shlomif <shlomif> 0.7.2-10.mga7
+ Revision: 1352170
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.7.2-9.mga7
+ Revision: 1289750
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.7.2-8.mga7
+ Revision: 1135551
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0.7.2-7.mga6
+ Revision: 970859
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 daviddavid <daviddavid> 0.7.2-6.mga6
+ Revision: 888620
- rebuild for python 3.5
- use new python macros
- improve %%check section

* Wed Oct 15 2014 umeabot <umeabot> 0.7.2-5.mga5
+ Revision: 745425
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.7.2-4.mga5
+ Revision: 729329
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7.2-3.mga5
+ Revision: 688224
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.7.2-2.mga5
+ Revision: 628903
- Rebuild for new Python

* Sun Mar 30 2014 kharec <kharec> 0.7.2-1.mga5
+ Revision: 610666
- Don't run tests for now during the build
- new version python 0.7.2, to make python-cinderclient installable

* Tue Oct 22 2013 umeabot <umeabot> 0.6.1-3.mga4
+ Revision: 544060
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6.1-2.mga4
+ Revision: 499126
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 14 2013 philippem <philippem> 0.6.1-1.mga4
+ Revision: 497494
- Update to 0.6.1
- add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0.6-2.mga3
+ Revision: 379284
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 neoclust <neoclust> 0.6-1.mga3
+ Revision: 314195
- New version

* Sun Nov 04 2012 neoclust <neoclust> 0.5-1.mga3
+ Revision: 313593
- imported package python-prettytable


* Wed Jun 08 2011 Antoine Ginies <aginies@mandriva.com> 0.5-1mdv2011.0
+ Revision: 683262
- import python-prettytable


* Wed Jun 8 2011 Antoine Ginies <aginies@mandriva.com> 0.5
- first release for Mandriva 

